<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
        <title>Услуги</title>
        <link rel="icon" type="image/png" href="/images/logo.png">
        <link rel="stylesheet" href="/static/css/admin/adminServicesStyles.css"/>
        <link rel="stylesheet" href="/static/css/user/headerStyles.css">
        <link rel="stylesheet" href="/static/css/user/footerStyles.css">
        <script th:src="@{/scripts/copyScript.js}"></script>
</head>
<body>
<header>
        <div class="container1">
                <nav class="flex-block">
                        <ul>
                                <li class="logo-container">
                                        <a th:href="@{/admin}">
                                                <img th:src="@{/images/logo.png}" width="80" height="80" alt="My Club Logo">
                                        </a>
                                </li>
                                <li><a th:href="@{/admin/appointment}" th:classappend="${currentPage == 'adminclub'} ? 'active' : ''">Запись</a></li>
                                <li><a th:href="@{/admin/services}" th:classappend="${currentPage == 'adminservices'} ? 'active' : ''">Услуги</a></li>
                                <li><a th:href="@{/admin/team}" th:classappend="${currentPage == 'adminteam'} ? 'active' : ''">Команда</a></li>
                                <li><a th:href="@{/admin/contacts}" th:classappend="${currentPage == 'admincontacts'} ? 'active' : ''">Контакты</a></li>
                                <li><a th:href="@{/admin/changeAdmin}" th:classappend="${currentPage == 'changeAdmin'} ? 'active' : ''">Администратор</a></li>
                                <li><a th:href="@{/}">Выйти</a></li>
                        </ul>
                </nav>
        </div>
</header>
<div class="container-mainpage">
        <div class="services-add">
                <form th:action="@{/admin/services/add}" method="get">
                        <button type="submit">Добавить</button>
                </form>
        </div>
        <ul class="info-data-list">
                <li th:each="service : ${services}" th:if="${service.serviceDescription != null}">
                        <div class="services-delete">
                                <form th:action="@{'/admin/services/delete}" method="post">
                                        <button type="submit">Удалить</button>
                                </form>
                        </div>
                        <div class="info-data__in">
                                <span class="info-data__ico">
                                    <img th:src="@{${service.imageLink}}" alt="#">
                                </span>
                        <div>
                                <a th:if="${service.linkExists != ''}" th:href="${service.linkExists}" class="info-data__title" th:text="${service.serviceName}">Service Name</a>
                                <span th:if="${service.linkExists == ''}" class="info-data__title" th:text="${service.serviceName}">Service Name</span>
                                <span class="info-data__caption" th:text="${service.serviceDescription}">Service Description</span>
                        </div>
                        </div>
                </li>
        </ul>
        <h3>Для посетителей фитнес-клуба БЕСПЛАТНО:</h3>
        <ul class="info-data-list2">
                <li th:each="service : ${services}" th:if="${service.serviceDescription == null}">
                        <div class="services-delete">
                                <form th:action="@{'/admin/services/delete}" method="post">
                                        <button type="submit">Удалить</button>
                                </form>
                        </div>
                        <div class="info-data__in">
                <span class="info-data__ico">
                    <img th:src="@{${service.imageLink}}" alt="#">
                </span>
                                <div>
                                        <span class="info-data__title" th:text="${service.serviceName}">Service Name</span>
                                </div>
                        </div>
                </li>
        </ul>
</div>
</body>
</html>